TemplateConstants (Access Logger ASL Extension 1.3.0-4.1.0-125698 API)
Date: 2016-10-27

org.gcube.application.framework.accesslogger.model

## Class TemplateConstants

- java.lang.Object
- - org.gcube.application.framework.accesslogger.model.TemplateConstants

-     public class TemplateConstants
      extends Object

  Constants that are used to construct the message that will be logged
  Author:
    Panagiota Koltsida, NKUA

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `andchar`
    `protected static String` | `ANNOTATION_EDITOR`
    `protected static String` | `ANNOTATION_NAME`
    `protected static String` | `ANNOTATION_TYPE`
    `protected static String` | `BROWSE_TERM`
    `protected static String` | `COLLECTION_ID`
    `protected static String` | `COLLECTION_NAME`
    `protected static String` | `CONTENT_ID`
    `protected static String` | `CONTENT_NAME`
    `protected static String` | `DISTINCT`
    `protected static String` | `eqChar`
    `protected static String` | `LANGUAGE`
    `protected static String` | `OBJECT_ID`
    `protected static String` | `OBJECT_NAME`
    `protected static String` | `OPERATOR`
    `protected static String` | `separateCharacters`
    `protected static String` | `TERM`
    `protected static String` | `VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLLECTION_NAME

          protected static final String COLLECTION_NAME

      See Also:
        Constant Field Values

    - #### COLLECTION_ID

          protected static final String COLLECTION_ID

      See Also:
        Constant Field Values

    - #### CONTENT_NAME

          protected static final String CONTENT_NAME

      See Also:
        Constant Field Values

    - #### CONTENT_ID

          protected static final String CONTENT_ID

      See Also:
        Constant Field Values

    - #### OBJECT_NAME

          protected static final String OBJECT_NAME

      See Also:
        Constant Field Values

    - #### OBJECT_ID

          protected static final String OBJECT_ID

      See Also:
        Constant Field Values

    - #### ANNOTATION_TYPE

          protected static final String ANNOTATION_TYPE

      See Also:
        Constant Field Values

    - #### ANNOTATION_NAME

          protected static final String ANNOTATION_NAME

      See Also:
        Constant Field Values

    - #### ANNOTATION_EDITOR

          protected static final String ANNOTATION_EDITOR

      See Also:
        Constant Field Values

    - #### TERM

          protected static final String TERM

      See Also:
        Constant Field Values

    - #### VALUE

          protected static final String VALUE

      See Also:
        Constant Field Values

    - #### OPERATOR

          protected static final String OPERATOR

      See Also:
        Constant Field Values

    - #### LANGUAGE

          protected static final String LANGUAGE

      See Also:
        Constant Field Values

    - #### eqChar

          protected static final String eqChar

      See Also:
        Constant Field Values

    - #### andchar

          protected static final String andchar

      See Also:
        Constant Field Values

    - #### separateCharacters

          protected static final String separateCharacters

      See Also:
        Constant Field Values

    - #### BROWSE_TERM

          protected static final String BROWSE_TERM

      See Also:
        Constant Field Values

    - #### DISTINCT

          protected static final String DISTINCT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TemplateConstants

          public TemplateConstants()

Copyright © 2016. All Rights Reserved.